//
//  LicenseItemView.swift
//  Jel
//
//  Created by zerocool on 2/23/24.
//

import SwiftUI
import ExpandableText

struct LicenseItemView: View {
  var name: String
  var url: String
  var license: String
  
  var body: some View {
    VStack(alignment: .leading) {
      Link(name, destination: URL(string: url)!)
        .bold()
      
      ExpandableText(license)
        .multilineTextAlignment(.leading)
    }
  }
}

//#Preview {
//    LicenseItemView()
//}
